# normal-tab(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

normal-tab - Insert a normal tab

## SYNOPSIS

n normal-tab

## DESCRIPTION

normal-tab insert a tab into the current buffer by temporarily disabling any auto indentation schemes. The macro first disables any indentation rules by setting $buffer-indent(5) to 0 the command tab(2) is then called with the given argument n. This means that the buffer's tab(2m) mode setting will be respected, i.e. whether a tab character or spaces are inserted. The initial indentation rules are restored on exit.

## NOTES

normal-tab is a macro implemented in `format.emf`.

## SEE ALSO

tab(2), insert-tab(2), tab(2m).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>